<?php
/**
 * Language Menu for SMF (LMSMF)
 *
 * @package LMSMF
 * @author [Marcelo]
 * @2nd-author emanuele
 * @copyright 2012 [Marcelo], Simple Machines
 * @license http://www.simplemachines.org/about/smf/license.php BSD
 *
 * @version 3.0.1
 */
/**********************************************************************************
* LanguageMenu                                                                *
***********************************************************************************
* A modification to show an advanced language menu written for                    *
* SMF: Simple Machines Forum                                                      *
* =============================================================================== *
* Software Version:       LanguageMenu 3.01                                     *
* Software by:            Marcelo Navarrete (http://iluminandoclasicas.com.ar)    *
* Copyright by:           IluminandoClasicsas (http://iluminandoclasicas.com.ar)  *
* Support, News, Updates at: http://www.simplemachines.org                        *
***********************************************************************************

***********************************************************************************
* IMPORTANT!!!!!!:                                                                *
***********************************************************************************
* We kindly ask you to keep the language icon that identify the choose/select     *
* or switch option for languageLanguage Menu.                                     *
* This language icon is an initiative to standardise language selection icon.     *
* If you feel that the size or the default color of the language icon doesn't fit *
* with your theme: at http://www.languageicon.org/index-icon.php you can download *
* any of the language icons free, choose from 61 different colors and styles.     *
* You are using this software for free please help to standarize the              *
* language icon, keeping it in your site. :)                                      *
***********************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');
    
function LanguageMenu_Language_Checks ()
{
    global $context, $user_info; 
	
    // Language Checking.
	if (isset($_POST['languagemenu']))
	{
		if (empty($context['languages']))
			$languages = getLanguages();

		if (isset($languages[$_POST['languagemenu']]))
		{
			updateMemberData($user_info['id'], array('lngfile' => $_POST['languagemenu']));
			$user_info['language'] = $_POST['languagemenu'];
			$_SESSION['language'] = $_POST['languagemenu'];
		}
	}
}
   
function show_language_menu()
{
	global $context, $txt, $scripturl, $modSettings, $smcFunc, $settings;

	//Load language $txt strings
    loadLanguage('LanguageMenu/LanguageMenu');
    
	if ($modSettings['language_menu_activate'] == 1)
	{
	// Obtain our languages
	if (empty($context['languages']))
		getLanguages();
	// And then our labels 
        foreach ($context['languages'] as $temp)         
        {
        if (!empty ($modSettings['lang_menu_label_'.$temp['filename']])) $custom_label [$temp['filename']] = $modSettings['lang_menu_label_'.$temp['filename']];
        }
    // Do we want custom labels?   
    if (empty($modSettings['language_menu_activate_custom_labels'])) unset($custom_label);   

	// Hopefully We always have something to show  
	if (!empty ($context['languages']))
	{
		echo'
		<div id="language_menu">
			<img class="langicon" src="', $settings['default_theme_url'], '/images/LanguageMenuImg/langicon.png" height="16px" width="16px" alt=" " />';
		// Do we want a drop language menu?
		if ($modSettings['language_menu_tamplate'] == 'drop_menu')
		{
			echo $txt['language_menu_select_language'], '
			<form action="" method="post">
				<select id="language_select" name="languagemenu" onchange="this.form.submit()">';
			foreach ($context['languages'] as $language)
                {
				$language_button = str_replace("-utf8","",$language['name']);
				if (isset($custom_label[$language['filename']])) $language_button = $custom_label[$language['filename']]; 
				echo '
				<option value="', $language['filename'], '"', isset($context['user']['language']) && $context['user']['language'] == $language['filename'] ? ' selected="selected"' : '', '>' ,$language_button, '</option>';
				}
			echo'
				</select><input type="hidden" name="changelang" value="1" />
				<noscript><input type="submit" value="', $txt['quick_mod_go'], '" /></noscript>
			</form>';
		}
		// Or perhaps a nice flag icon menu?
		elseif ($modSettings['language_menu_tamplate'] == 'icon_menu')
		{
			foreach ($context['languages'] as $language)
			{
				$language_button = str_replace("-utf8","",$language['name']);
				if (isset($custom_label[$language['filename']])) $language_button = $custom_label[$language['filename']]; 
				echo '
				<form action="" method="post">
				<input type="hidden" name="languagemenu" value="', $language['filename'], '" />
				<button id="', $language['filename'], '" type="submit" value="', $language['name'], '"', isset($context['user']['language']) && $context['user']['language'] == $language['filename'] ? ' disabled="disabled" class="langflagbuttonactive" ' : ' class="langflagbutton"', '>
 				<img class="langflag" src="', $settings['default_theme_url'], '/images/LanguageMenuImg/', $language['filename'], '.png" height="' ,$modSettings['language_menu_icon_height'], '" width="' ,$modSettings['language_menu_icon_width'], '" alt="' ,$language_button, '" /></button>
				</form>';
			}
		}
		// Ok I got it you want normal buttons... is your choice
		elseif ($modSettings['language_menu_tamplate'] == 'button_menu')
		{
			echo $txt['language_menu_select_language'];
			foreach ($context['languages'] as $language)
			{
				$language_button = str_replace("-utf8","",$language['name']);
				if (isset($custom_label[$language['filename']])) $language_button = $custom_label[$language['filename']]; 
				echo '
				<form action="" method="post">
				<input type="hidden" name="languagemenu" value="', $language['filename'], '" />
				<button id="', $language['filename'], '" type="submit" value="', $language['name'], '"', isset($context['user']['language']) && $context['user']['language'] == $language['filename'] ? ' disabled="disabled" class="active" ' : '', '>' ,$language_button, '</button>
				</form>';
			}
		}
		// Mmmmm we have a problem here
		else echo $txt['language_menu_template_error'];
		echo'
		</div>';
	}
	// No languages we can find!
	elseif (empty ($context['languages']))
		echo $txt['language_menu'] . $txt['no_matches'];
	// If this occurs we are in trouble.
	else
		echo $txt['language_menu'] . $txt['error_occured'];
   }
}
?>