<?php
/**
 * Language Menu for SMF (LMSMF)
 *
 * @package LMSMF
 * @author [Marcelo]
 * @2nd-author emanuele
 * @copyright 2012 [Marcelo], Simple Machines
 * @license http://www.simplemachines.org/about/smf/license.php BSD
 *
 * @version 3.0.1
 */
/**********************************************************************************
* LanguageMenu                                                                *
***********************************************************************************
* A modification to show an advanced language menu written for                    *
* SMF: Simple Machines Forum                                                      *
* =============================================================================== *
* Software Version:       LanguageMenu 3.01                                     *
* Software by:            Marcelo Navarrete (http://iluminandoclasicas.com.ar)    *
* Copyright by:           IluminandoClasicsas (http://iluminandoclasicas.com.ar)  *
* Support, News, Updates at: http://www.simplemachines.org                        *
***********************************************************************************

***********************************************************************************
* IMPORTANT!!!!!!:                                                                *
***********************************************************************************
* We kindly ask you to keep the language icon that identify the choose/select     *
* or switch option for languageLanguage Menu.                                     *
* This language icon is an initiative to standardise language selection icon.     *
* If you feel that the size or the default color of the language icon doesn't fit *
* with your theme: at http://www.languageicon.org/index-icon.php you can download *
* any of the language icons free, choose from 61 different colors and styles.     *
* You are using this software for free please help to standarize the              *
* language icon, keeping it in your site. :)                                      *
***********************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

function LanguageMenu_Admin_Areas(&$areas)
{
	global $context, $txt;

	loadLanguage('LanguageMenu/LanguageMenu');

	$areas['config']['areas']['modsettings']['subsections']['LanguageMenu'] = array($txt['language_menu']);
}

function LanguageMenu_modify_modifications(&$sub_actions)
{
 	global $context;

    $sub_actions['LanguageMenu'] = 'ModifyLanguageMenuSettings';

}

function ModifyLanguageMenuSettings($return_config = false)
{
	global $txt, $scripturl, $context, $settings, $sc, $modSettings;

    // Obtain our languages if they are missing.
	if (empty($context['languages']))
         getLanguages();
	 
	// Generate an array (filename => label)
	foreach ($context['languages'] as $temp)
		{
        if (empty($modSettings['lang_menu_label_'.$temp['filename']])) $modSettings['lang_menu_label_'.$temp['filename']] = $temp['name'];
		}
   
	$config_vars = array(
			array('check', 'language_menu_activate'),
			'',
			$txt['language_menu_change_tamplate'],
			'<br/>',
			array('select','language_menu_tamplate', 
				array(
				'drop_menu' => $txt['language_menu_drop_menu'],
				'button_menu' => $txt['language_menu_button_menu'],
				'icon_menu' => $txt['language_menu_icon_menu']
				)
			),
			array('int', 'language_menu_icon_width', '2', 'postinput' => 'pixels'),
			array('int', 'language_menu_icon_height', '2', 'postinput' => 'pixels'),
			'',
			$txt['language_menu_choose_label'],
			'<br/>',
			array('check', 'language_menu_activate_custom_labels')
	);

    $count_config_vars = count($config_vars );
	foreach ($context['languages'] as $temp)
	{ 
    $txt['lang_menu_label_'.$temp['filename']]=$temp['name'];
    $config_vars [$count_config_vars] = array('text','lang_menu_label_'.$temp['filename'], '20');
    $count_config_vars = $count_config_vars + 1;
	}


	if ($return_config)
		return $config_vars;
        $context['post_url'] = $scripturl . '?action=admin;area=modsettings;save;sa=LanguageMenu';
        $context['settings_title'] = $txt['language_menu_settings'];

	// Saving?
	if (isset($_GET['save']))
	{
		checkSession();
		$save_vars = $config_vars;
		saveDBSettings($save_vars);
    }
	prepareDBSettingContext($config_vars);
}
?>