<?php
/**
 * Language Menu for SMF (LMSMF)
 *
 * @package LMSMF
 * @author [Marcelo]
 * @2nd-author emanuele
 * @copyright 2012 [Marcelo], Simple Machines
 * @license http://www.simplemachines.org/about/smf/license.php BSD
 *
 * @version 3.0.1
 */
/**********************************************************************************
* LanguageMenu                                                                *
***********************************************************************************
* A modification to show an advanced language menu written for                    *
* SMF: Simple Machines Forum                                                      *
* =============================================================================== *
* Software Version:       LanguageMenu 3.01                                     *
* Software by:            Marcelo Navarrete (http://iluminandoclasicas.com.ar)    *
* Copyright by:           IluminandoClasicsas (http://iluminandoclasicas.com.ar)  *
* Support, News, Updates at: http://www.simplemachines.org                        *
***********************************************************************************

***********************************************************************************
* IMPORTANT!!!!!!:                                                                *
***********************************************************************************
* We kindly ask you to keep the language icon that identify the choose/select     *
* or switch option for languageLanguage Menu.                                     *
* This language icon is an initiative to standardise language selection icon.     *
* If you feel that the size or the default color of the language icon doesn't fit *
* with your theme: at http://www.languageicon.org/index-icon.php you can download *
* any of the language icons free, choose from 61 different colors and styles.     *
* You are using this software for free please help to standarize the              *
* language icon, keeping it in your site. :)                                      *
***********************************************************************************/

// List settings here in the format: setting_key => default_value.  Escape any "s. (" => \")
$mod_settings = array(
	'language_menu-activate' => '1',
	'language_menu_tamplate' => 'button_menu',
	'language_menu_icon_width' => '24',
	'language_menu_icon_height' => '16',
	'language_menu_activate_custom_labels' => '0'
);

/******************************************************************************/

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif(!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

updateSettings($mod_settings);

 if (SMF == 'SSI')
	echo '<b>Your settings have been entered into the database!</b><br />';
/******************************************************************************/

// The hooks of the Lamguage Menu mod.

global $hooks, $mod_name;
$hooks = array(
    'integrate_pre_include' => '$sourcedir/Subs-LanguageMenu.php',
    'integrate_verify_user' => 'LanguageMenu_Language_Checks',
	'integrate_admin_include' => '$sourcedir/Subs-LanguageMenuSettings.php',
	'integrate_admin_areas' => 'LanguageMenu_Admin_Areas',
	'integrate_modify_modifications' => 'LanguageMenu_modify_modifications',
);
$mod_name = 'Language Menu';


//Some SMF code to install the hooks.
// ---------------------------------------------------------------------------------------------------------------------
define('SMF_INTEGRATION_SETTINGS', serialize(array(
	'integrate_menu_buttons' => 'install_menu_button',)));

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

if (SMF == 'SSI')
{
	// Let's start the main job
	install_mod();
	// and then let's throw out the template! :P
	obExit(null, null, true);
}
else
{
	setup_hooks();
}

function install_mod ()
{
	global $context, $mod_name;

	$context['mod_name'] = $mod_name;
	$context['sub_template'] = 'install_script';
	$context['page_title_html_safe'] = 'Install script of the mod: ' . $mod_name;
	if (isset($_GET['action']))
		$context['uninstalling'] = $_GET['action'] == 'uninstall' ? true : false;
	$context['html_headers'] .= '
	<style type="text/css">
    .buttonlist ul {
      margin:0 auto;
			display:table;
		}
	</style>';

	// Sorry, only logged in admins...
	isAllowedTo('admin_forum');

	if (isset($context['uninstalling']))
		setup_hooks();
}

function setup_hooks ()
{
	global $context, $hooks;

	$integration_function = empty($context['uninstalling']) ? 'add_integration_function' : 'remove_integration_function';
	foreach ($hooks as $hook => $function)
		$integration_function($hook, $function);

	$context['installation_done'] = true;
}

function install_menu_button (&$buttons)
{
	global $boardurl, $context;

	$context['sub_template'] = 'install_script';
	$context['current_action'] = 'install';

	$buttons['install'] = array(
		'title' => 'Installation script',
		'show' => allowedTo('admin_forum'),
		'href' => $boardurl . '/install.php',
		'active_button' => true,
		'sub_buttons' => array(
		),
	);
}

function template_install_script ()
{
	global $boardurl, $context;

	echo '
	<div class="tborder login"">
		<div class="cat_bar">
			<h3 class="catbg">
				Welcome to the install script of the mod: ' . $context['mod_name'] . '
			</h3>
		</div>
		<span class="upperframe"><span></span></span>
		<div class="roundframe centertext">';
	if (!isset($context['installation_done']))
		echo '
			<strong>Please select the action you want to perform:</strong>
			<div class="buttonlist">
				<ul>
					<li>
						<a class="active" href="' . $boardurl . '/install.php?action=install">
							<span>Install</span>
						</a>
					</li>
					<li>
						<a class="active" href="' . $boardurl . '/install.php?action=uninstall">
							<span>Uninstall</span>
						</a>
					</li>
				</ul>
			</div>';
	else
		echo '<strong>Database adaptation successful!</strong>';

	echo '
		</div>
		<span class="lowerframe"><span></span></span>
	</div>';
}
?>